Bug 20831 - User is unable to specify older version of NuGet Packages
Summary: User is unable to specify older version of NuGet Packages
Status: RESOLVED NOT_REPRODUCIBLE
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: NuGet ()
Version: 5.1
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: master
Assignee: Matt Ward
URL:
Depends on:
Blocks:
 
Reported: 2014-06-23 23:54 UTC by Bruce McLeod
Modified: 2014-06-24 03:23 UTC (History)
0 users

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NOT_REPRODUCIBLE

Description Bruce McLeod 2014-06-23 23:54:31 UTC
I am trying to install an older version of Microsoft.AspNet.WebAPI as mono is not 100% compatible with version 5.1.2, however I am unable to specify an earlier version using the NuGet window.
Comment 1 Matt Ward 2014-06-24 03:23:03 UTC
In Xamarin Studio 5.1 it is possible to install an older version of a NuGet package from the Add Packages dialog. Xamarin Studio 5.1 is available in the beta channel. With 5.1 the Add Packages dialog and Xamarin Studio’s unified search can be used to search for all versions, a range of versions, or a specific version of a NuGet package. The search syntax is:

PackageId version:VersionNumber

Examples:

Microsoft.AspNet.WebAPI version:5.1
Microsoft.AspNet.WebAPI version:5.1.0
Microsoft.AspNet.WebAPI version:*

The PackageId must exactly match the actual package id.

This feature is also available for Xamarin Studio 5.0 if you install the NuGet extensions addin.

https://github.com/mrward/monodevelop-nuget-extensions

This is an experimental addin which allows you to install a NuGet package with a specific version from the unified search directly and it also contains a prototype NuGet package console where you can use the standard NuGet PowerShell commands, such as Install-Package NUnit -Version 2.6.1